[android-components](../../index.md) / [mozilla.components.feature.top.sites](../index.md) / [TopSitesStorage](index.md) / [removeTopSite](./remove-top-site.md)

# removeTopSite

`abstract fun removeTopSite(topSite: `[`TopSite`](../-top-site/index.md)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/top-sites/src/main/java/mozilla/components/feature/top/sites/TopSitesStorage.kt#L28)

Removes the given [TopSite](../-top-site/index.md).

### Parameters

`topSite` - The top site.